package cn.edu.zjvtit.cloudstorage.dataservice.rabbitmq.topic;

import org.slf4j.Logger;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.io.File;

@Component
@RabbitListener(queues = "dataServers")
public class Receiver {
    @Autowired
    Logger logger;
    @Autowired
    Sender sender;
    @Autowired
    private RabbitTemplate rabbitTemplate;

    @RabbitHandler
    public void process(String filename) {
        File file = new File("./uploads/" + filename);
        if(!file.exists()){
            return;
        }
        logger.info("Receiver: " + filename);
        sender.sendFileInfo(filename);

    }
}
