package cn.edu.zjvtit.cloudstorage.dataservice.rabbitmq.topic;

import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.web.servlet.context.ServletWebServerApplicationContext;
import org.springframework.stereotype.Component;

import java.net.InetAddress;

@Component
public class Sender {
    @Autowired
    private RabbitTemplate rabbitTemplate;
    @Autowired
    private ServletWebServerApplicationContext webServerAppCtxt;



    private String getAddress(){
        int port = webServerAppCtxt.getWebServer().getPort();

        try {
            String addr =  InetAddress.getLocalHost().getHostAddress();
            return addr+":"+port;
        } catch (Exception e) {
            e.printStackTrace();
            return "";
        }
    }
    public void sendServerAddress() {
        this.rabbitTemplate.convertAndSend("apiServers", getAddress());
    }
    public void sendFileInfo(String filename){
        this.rabbitTemplate.convertAndSend(filename, getAddress());
    }
}
