package cn.edu.zjvtit.cloudstorage.dataservice.schedule;

import cn.edu.zjvtit.cloudstorage.dataservice.rabbitmq.topic.Sender;
import com.rabbitmq.client.impl.Environment;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.web.servlet.context.ServletWebServerApplicationContext;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.net.InetAddress;
import java.time.LocalDateTime;

@Component
public class ScheduledTask {
    @Autowired
    Sender sender;

    private String getAddress(){
        try {
            return InetAddress.getLocalHost().getHostAddress();
        } catch (Exception e) {
            e.printStackTrace();
            return "";
        }
    }
    @Scheduled(fixedRate = 3000)
    public void scheduledTask() {
        sender.sendServerAddress();
    }

}

